aboutsummaryrefslogtreecommitdiffstats
path: root/Mk/Scripts
diff options
context:
space:
mode:
authormat <mat@FreeBSD.org>2016-01-19 00:16:43 +0800
committermat <mat@FreeBSD.org>2016-01-19 00:16:43 +0800
commitd1f942e69e000f5eb43dfb8930dcf06e9badec98 (patch)
treef30930895a477ca594a180e2b940683fa7478f08 /Mk/Scripts
parentfb2240ae77854e32a493613f6f3984c9e5f7600f (diff)
downloadfreebsd-ports-gnome-d1f942e69e000f5eb43dfb8930dcf06e9badec98.tar.gz
freebsd-ports-gnome-d1f942e69e000f5eb43dfb8930dcf06e9badec98.tar.zst
freebsd-ports-gnome-d1f942e69e000f5eb43dfb8930dcf06e9badec98.zip
Be consistent and always enclose shell variables inside braces.
Sponsored by: Absolight
Diffstat (limited to 'Mk/Scripts')
-rw-r--r--Mk/Scripts/qa.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index eaeebe868633..93b88e9cb69a 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -31,8 +31,8 @@ shebangonefile() {
;;
esac
- interp=$(sed -n -e '1s/^#![[:space:]]*\([^[:space:]]*\).*/\1/p;2q' "$f")
- case "$interp" in
+ interp=$(sed -n -e '1s/^#![[:space:]]*\([^[:space:]]*\).*/\1/p;2q' "${f}")
+ case "${interp}" in
"") ;;
${LINUXBASE}/*) ;;
${LOCALBASE}/*) ;;
@@ -245,7 +245,7 @@ libperl() {
# No results presents a blank line from heredoc.
[ -z "${f}" ] && continue
files=$((files+1))
- found=`readelf -d $f | awk "BEGIN {libperl=1; rpath=10; runpath=100}
+ found=`readelf -d ${f} | awk "BEGIN {libperl=1; rpath=10; runpath=100}
/NEEDED.*${LIBPERL}/ { libperl = 0 }
/RPATH.*perl.*CORE/ { rpath = 0 }
/RUNPATH.*perl.*CORE/ { runpath = 0 }
@@ -274,7 +274,7 @@ libperl() {
$(find ${STAGEDIR}${PREFIX}/${SITE_ARCH_REL} -name '*.so')
EOT
- if [ $files -gt 0 -a $has_some_libperl_so -eq 0 ]; then
+ if [ ${files} -gt 0 -a ${has_some_libperl_so} -eq 0 ]; then
err "None of the .so in ${STAGEDIR}${PREFIX}/${SITE_ARCH_REL} are linked with ${LIBPERL}, see above for the full list."
return 1
else
@@ -318,4 +318,4 @@ for check in ${checks}; do
${check} || ret=1
done
-exit $ret
+exit ${ret}